commit:     e7ec64e07c110fd117d37b26c7ca668eba586f9a
Author:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
AuthorDate: Thu Dec  7 19:28:57 2017 +0000
Commit:     Anthony G. Basile <blueness <AT> gentoo <DOT> org>
CommitDate: Thu Dec  7 19:28:57 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e7ec64e0

sys-boot/lilo: remove legacy HARDENED_CFLAGS, bug #621866

Package-Manager: Portage-2.3.13, Repoman-2.3.3

 sys-boot/lilo/lilo-22.8-r2.ebuild | 10 +++-------
 sys-boot/lilo/lilo-23.2-r2.ebuild |  8 ++------
 sys-boot/lilo/lilo-24.0-r1.ebuild |  8 ++------
 sys-boot/lilo/lilo-24.1.ebuild    |  8 ++------
 sys-boot/lilo/lilo-24.2.ebuild    |  8 ++------
 5 files changed, 11 insertions(+), 31 deletions(-)

diff --git a/sys-boot/lilo/lilo-22.8-r2.ebuild 
b/sys-boot/lilo/lilo-22.8-r2.ebuild
index 7ae95e523fe..257a7a9a113 100644
--- a/sys-boot/lilo/lilo-22.8-r2.ebuild
+++ b/sys-boot/lilo/lilo-22.8-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 inherit eutils flag-o-matic toolchain-funcs
@@ -48,16 +48,12 @@ src_compile() {
        # lilo needs this. bug #140209
        export LC_ALL=C
 
-       # hardened automatic PIC plus PIE building should be suppressed
-       # because of assembler instructions that cannot be compiled PIC
-       HARDENED_CFLAGS="`test-flags-CC -fno-pic -nopie`"
-
        # we explicitly prevent the custom CFLAGS for stability reasons
        if use static; then
-               emake CC="$(tc-getCC) ${HARDENED_CFLAGS}" lilo.static || die
+               emake CC="$(tc-getCC)" lilo.static || die
                mv lilo.static lilo || die
        else
-               emake CC="$(tc-getCC) ${HARDENED_CFLAGS}" lilo || die
+               emake CC="$(tc-getCC)" lilo || die
        fi
 }
 

diff --git a/sys-boot/lilo/lilo-23.2-r2.ebuild 
b/sys-boot/lilo/lilo-23.2-r2.ebuild
index afbd4d2a734..2be5f25cd50 100644
--- a/sys-boot/lilo/lilo-23.2-r2.ebuild
+++ b/sys-boot/lilo/lilo-23.2-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="2"
@@ -49,10 +49,6 @@ src_compile() {
        # lilo needs this. bug #140209
        export LC_ALL=C
 
-       # hardened automatic PIC plus PIE building should be suppressed
-       # because of assembler instructions that cannot be compiled PIC
-       HARDENED_CFLAGS=$(test-flags-CC -fno-pic -nopie)
-
        # we explicitly prevent the custom CFLAGS for stability reasons
        if use static; then
                local target=alles
@@ -60,7 +56,7 @@ src_compile() {
                local target=all
        fi
 
-       emake CC="$(tc-getCC) ${LDFLAGS} ${HARDENED_CFLAGS}" ${target} || die
+       emake CC="$(tc-getCC) ${LDFLAGS}" ${target} || die
 }
 
 src_install() {

diff --git a/sys-boot/lilo/lilo-24.0-r1.ebuild 
b/sys-boot/lilo/lilo-24.0-r1.ebuild
index 4de878e34d3..b0639924ba3 100644
--- a/sys-boot/lilo/lilo-24.0-r1.ebuild
+++ b/sys-boot/lilo/lilo-24.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2014 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="5"
@@ -49,10 +49,6 @@ src_compile() {
        # lilo needs this. bug #140209
        export LC_ALL=C
 
-       # hardened automatic PIC plus PIE building should be suppressed
-       # because of assembler instructions that cannot be compiled PIC
-       HARDENED_CFLAGS=$(test-flags-CC -fno-pic -nopie)
-
        # we explicitly prevent the custom CFLAGS for stability reasons
        if use static; then
                local target=alles
@@ -60,7 +56,7 @@ src_compile() {
                local target=all
        fi
 
-       emake CC="$(tc-getCC) ${LDFLAGS} ${HARDENED_CFLAGS}" ${target} || die
+       emake CC="$(tc-getCC) ${LDFLAGS}" ${target} || die
 }
 
 src_install() {

diff --git a/sys-boot/lilo/lilo-24.1.ebuild b/sys-boot/lilo/lilo-24.1.ebuild
index 3d0cf52c05d..9431f265960 100644
--- a/sys-boot/lilo/lilo-24.1.ebuild
+++ b/sys-boot/lilo/lilo-24.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="5"
@@ -49,10 +49,6 @@ src_compile() {
        # lilo needs this. bug #140209
        export LC_ALL=C
 
-       # hardened automatic PIC plus PIE building should be suppressed
-       # because of assembler instructions that cannot be compiled PIC
-       HARDENED_CFLAGS=$(test-flags-CC -fno-pic -nopie)
-
        # we explicitly prevent the custom CFLAGS for stability reasons
        if use static; then
                local target=alles
@@ -60,7 +56,7 @@ src_compile() {
                local target=all
        fi
 
-       emake CC="$(tc-getCC) ${LDFLAGS} ${HARDENED_CFLAGS}" ${target} || die
+       emake CC="$(tc-getCC) ${LDFLAGS}" ${target} || die
 }
 
 src_install() {

diff --git a/sys-boot/lilo/lilo-24.2.ebuild b/sys-boot/lilo/lilo-24.2.ebuild
index d075d6bf751..854b8dba436 100644
--- a/sys-boot/lilo/lilo-24.2.ebuild
+++ b/sys-boot/lilo/lilo-24.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2015 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="5"
@@ -49,10 +49,6 @@ src_compile() {
        # lilo needs this. bug #140209
        export LC_ALL=C
 
-       # hardened automatic PIC plus PIE building should be suppressed
-       # because of assembler instructions that cannot be compiled PIC
-       HARDENED_CFLAGS=$(test-flags-CC -fno-pic -nopie)
-
        # we explicitly prevent the custom CFLAGS for stability reasons
        if use static; then
                local target=alles
@@ -60,7 +56,7 @@ src_compile() {
                local target=all
        fi
 
-       emake CC="$(tc-getCC) ${LDFLAGS} ${HARDENED_CFLAGS}" ${target} || die
+       emake CC="$(tc-getCC) ${LDFLAGS}" ${target} || die
 }
 
 src_install() {

Reply via email to